Linked Questions

0
votes
1answer
178 views

apt-get to install a package and its first level dependencies only? [duplicate]

Is there a way I can use apt-get install command to install a package and its first level dependencies only instead of all the dependencies recursively? EDIT: I am dealing with ROS and would like to ...
0
votes
0answers
24 views

How to update the software database? [duplicate]

I have setup two disks on my computer, Ubuntu, / and /home. Later I found the disk space on / is not big enough (just 20G), so I installed my texlive to my own disk, somewhere under $HOME. Now I want ...
17
votes
3answers
26k views

How can I downgrade packages without removing their dependants?

I have a number of mesa packages that I had upgraded to a PPA version, before purging the PPA so I could upgrade my system. The differences in the versions are minor (they are technically the same, ...
13
votes
3answers
11k views

How to winstall Nvidia drivers to use CUDA without also installing X11?

I have a headless box that will be used for CUDA computing. I installed Ubuntu server 16.04.1 but when I try to install the nVidia drivers via apt-get it also wants me to install X11 and other GUI ...
8
votes
3answers
2k views

How do I install gedit without Zeitgeist?

I do not like this zeitgeist thingy. Because it is neither possible to (easily) configure it to shut up, nor is it possible to (easily) remove it without breaking other things. Unfortunately, the ...
3
votes
3answers
5k views

Install TortoiseHG with mercurial 3.3.2

I want a GUI to view, compare and checkout versions of my project(s). But when I want to install Tortoise HG, apt proposes to downgrade Mercurial. I remember that upgrading to 3.3 has solved some ...
4
votes
2answers
1k views

Although I have Texlive installed from DVD apt-get suggests to install it every time, how can I avoid this behaviour?

I installed TexLive 2014 on Ubuntu 14.04.1 64-bit LTS and now I would like to install other packages together with a frontend for Latex, namely TexStudio. The problem is that when I try to install ...
10
votes
3answers
712 views

How can I force apt to optimize the dependency tree for minimal download size?

Some background information: As you may know, in a Debian package, there may be alternative dependencies, written in the CONTROL file as Depends: apache2|something-else, for example. How does apt ...
0
votes
1answer
1k views

ignore-depends options passed from apt-get not behaving as expected

A package being installed with apt-get has a dependency on java that I want to ignore. $ apt-cache depends some-package some-package PreDepends: <java7-runtime-headless> default-jre-...
1
vote
0answers
944 views

How can I resolve package conflicts when installing old version of PHP with apache2?

I have a legacy app which requires a specific version of php. I've downloaded debs for php, pear, etc. from old-releases.ubuntu.com, and I am writing a script to install them when provisioning a ...